%define name pychecker
%define version 0.8.14
%define release 2mdk

Summary: A python source code checking tool
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://pychecker.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/pychecker/%{name}-%{version}.tar.bz2
Patch: pychecker-0.8.10-add-manpage.bz2
License: BSD-like
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python
BuildArch: noarch
BuildRequires: python python-devel

%description
PyChecker is a tool for finding bugs in python source code. It finds problems
that are typically caught by a compiler for less dynamic languages, like C and
C++. It is similar to lint. Because of the dynamic nature of python, some
warnings may be incorrect; however, spurious warnings should be fairly
infrequent.

%prep
%setup -q
%patch0 -p1 -b .add_manpage

%build
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYRIGHT KNOWN_BUGS CHANGELOG pycheckrc
%{_bindir}/*
%{_libdir}/python*/site-packages/*

%changelog
* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.8.14-2mdk
- Rebuild for new python

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.8.14-1mdk
- 0.8.14
- spec cleanup

* Wed Nov 19 2003 Pixel <pixel@mandrakesoft.com> 0.8.13-1mdk
- new release

* Sat Aug  9 2003 Pixel <pixel@mandrakesoft.com> 0.8.12-2mdk
- rebuild for new python

* Sat Dec 28 2002 Pixel <pixel@mandrakesoft.com> 0.8.12-1mdk
- new release
- add BuildRequires: python-devel

* Fri Jun 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-1mdk
- new release

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.10-1mdk
- new release
- add pychecker(1) man page

* Mon Feb  4 2002 Pixel <pixel@mandrakesoft.com> 0.8.9-1mdk
- new release

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 0.8.8-1mdk
- new version

* Thu Jan 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7
- build as noarch

* Sat Nov 10 2001 Pixel <pixel@mandrakesoft.com> 0.8.5-1mdk
- initial sepc


# end of file
